ru.inpas.connector.lib

## Enum PosExchange.Progress

- java.lang.Object
- - java.lang.Enum<PosExchange.Progress>
  - - ru.inpas.connector.lib.PosExchange.Progress

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PosExchange.Progress>

Enclosing class:
  PosExchange

    public static enum PosExchange.Progress
    extends java.lang.Enum<PosExchange.Progress>

Идентификаторы состояния выполнения обмена данными с терминалом

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONNECTED` Установление соединения с терминалом выполнено
`CONNECTING` Установление соединения с терминалом
`DISCONNECTED` Разрыв соединения с терминалом выполнен
`DISCONNECTING` Разрыв соединения с терминалом
`RECEIVING` Приём данных от терминала
`SENDING` Передача данных терминалу

### Method Summary

All Methods Static Methods Concrete Methods
`static PosExchange.Progress` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PosExchange.Progress[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECTING

    public static final PosExchange.Progress CONNECTING

Установление соединения с терминалом

#### CONNECTED

    public static final PosExchange.Progress CONNECTED

Установление соединения с терминалом выполнено

#### DISCONNECTING

    public static final PosExchange.Progress DISCONNECTING

Разрыв соединения с терминалом

#### DISCONNECTED

    public static final PosExchange.Progress DISCONNECTED

Разрыв соединения с терминалом выполнен

#### SENDING

    public static final PosExchange.Progress SENDING

Передача данных терминалу

#### RECEIVING

    public static final PosExchange.Progress RECEIVING

Приём данных от терминала

### Method Detail

#### values

    public static PosExchange.Progress[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PosExchange.Progress c : PosExchange.Progress.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PosExchange.Progress valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null